#define F_CPU 14745600UL 																		//    

#include <avr/io.h> 																			//  -

#include "MC4A7D4R4O.h"																			// 
#include "LED.h"																				//   LED 
#include "Analog.h"																				//   
#include <stdio.h>																				//  - (         )

char String[17];																				//   

int main(void)																					// 
{
	unsigned int result[4];																		//     .
	int Channel=0;																				//   
	LED_Init();																					// 
	
	while (1) 																					// 
	{
		if (Channel==0) ADC_Start_Measuring(Channel,CURRENT);									//      ( 0   ,   )
		else ADC_Start_Measuring(Channel,VOLTAGE);
		
		while (ADC_Read(&result[Channel]));														//     

		LED_SetPos(Channel/2,(Channel % 2)*9);													//      
		sprintf(String,"%d",result[Channel]/1000);												//    
		LED_Write_String(String);

		LED_Write_String(".");																	//    

		result[Channel]=result[Channel] % 1000;													//    
		String[5]=0;
		String[4]=' ';
		String[3]=' ';
		String[2]=(result[Channel] % 10)+0x30;
		
		result[Channel]=result[Channel]/10;														//    
		String[1]=(result[Channel] % 10)+0x30;
		String[0]=result[Channel]/10+0x30;
		LED_Write_String(String);
		
		if (Channel<3) Channel++;																//   
		else Channel=0;
		_delay_ms(100); 																		//  100.
	}
}
